Typedefs | Enumerations | Functions

# hash.h File Reference

`#include "wizard/string_.h"`

Go to the source code of this file.

## Typedefs
typedef struct _HashInfo | HashInfo
## Enumerations
enum | HashType { UndefinedHash, NoHash, CRC64Hash, MD5Hash, SHA1Hash, SHA224Hash, SHA256Hash, SHA384Hash, SHA512Hash }
## Functions
WizardExport char * | GetHashHexDigest (const HashInfo *)
WizardExport const StringInfo * | GetHashDigest (const HashInfo *)
WizardExport HashInfo * | DestroyHashInfo (HashInfo *)
WizardExport HashInfo ** | AcquireHashInfo (const HashType)
WizardExport size_t | GetHashBlocksize (const HashInfo *)
WizardExport size_t | GetHashDigestsize (const HashInfo *)
WizardExport void | InitializeHash (HashInfo *)
WizardExport void | FinalizeHash (HashInfo *)
WizardExport void | UpdateHash (HashInfo *, const StringInfo *)

## Typedef Documentation

typedef struct _HashInfo HashInfo

## Enumeration Type Documentation

enum HashType

Enumerator:

  UndefinedHash |
  NoHash |
  CRC64Hash |
  MD5Hash |
  SHA1Hash |
  SHA224Hash |
  SHA256Hash |
  SHA384Hash |
  SHA512Hash |

## Function Documentation

WizardExport HashInfo* * AcquireHashInfo | ( | const | HashType | ) |

References AcquireCRC64Info(), AcquireMD5Info(), AcquireSHA1Info(), AcquireSHA224Info(), AcquireSHA256Info(), AcquireSHA384Info(), AcquireSHA512Info(), AcquireStringInfo(), AcquireWizardMemory(), CRC64Hash, _HashInfo::digest, EnumerateError, GetCRC64Digestsize(), GetMD5Digestsize(), GetSHA1Digestsize(), GetSHA224Digestsize(), GetSHA256Digestsize(), GetSHA384Digestsize(), GetSHA512Digestsize(), _HashInfo::handle, _HashInfo::hash, HashDomain, MD5Hash, MemoryError, ResetStringInfo(), ResetWizardMemory(), SHA1Hash, SHA224Hash, SHA256Hash, SHA384Hash, SHA512Hash, _HashInfo::signature, ThrowWizardFatalError, and _HashInfo::timestamp.

Referenced by AcquireHMACInfo(), AcquireRandomInfo(), GetWizardMagick(), and HashStringType().

WizardExport HashInfo* DestroyHashInfo | ( | HashInfo * |  | ) |

WizardExport void FinalizeHash | ( | HashInfo * |  | ) |

WizardExport size_t GetHashBlocksize | ( | const HashInfo * |  | ) |

WizardExport const StringInfo* GetHashDigest | ( | const HashInfo * |  | ) |

References _HashInfo::digest, GetWizardModule, HashDomain, LogWizardEvent(), _HashInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), FinalizeHMAC(), GetWizardMagick(), HashStringType(), and InitializeHMAC().

WizardExport size_t GetHashDigestsize | ( | const HashInfo * |  | ) |

References CipherDomain, CRC64Hash, EnumerateError, GetCRC64Digestsize(), GetMD5Digestsize(), GetSHA1Digestsize(), GetSHA224Digestsize(), GetSHA256Digestsize(), GetSHA384Digestsize(), GetSHA512Digestsize(), GetWizardModule, _HashInfo::handle, _HashInfo::hash, HashDomain, LogWizardEvent(), MD5Hash, SHA1Hash, SHA224Hash, SHA256Hash, SHA384Hash, SHA512Hash, _HashInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHMACInfo(), AcquireRandomInfo(), GetHashHexDigest(), and GetHMACDigestsize().

WizardExport char* GetHashHexDigest | ( | const HashInfo * |  | ) |

References AcquireQuantumMemory(), _HashInfo::digest, FormatWizardString(), GetHashDigestsize(), GetStringInfoDatum(), GetWizardModule, HashDomain, LogWizardEvent(), MaxTextExtent, MemoryError, _HashInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport void InitializeHash | ( | HashInfo * |  | ) |

WizardExport void UpdateHash | ( | HashInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References CRC64Hash, EnumerateError, GetWizardModule, _HashInfo::handle, _HashInfo::hash, HashDomain, LogWizardEvent(), MD5Hash, SHA1Hash, SHA224Hash, SHA256Hash, SHA384Hash, SHA512Hash, _HashInfo::signature, ThrowWizardFatalError, TraceEvent, UpdateCRC64(), UpdateMD5(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), UpdateSHA512(), and WizardSignature.

Referenced by AcquireRandomInfo(), FinalizeHMAC(), GetWizardMagick(), HashStringType(), InitializeHMAC(), ResetHMAC(), and UpdateHMAC().